POST Agents/Contact/SaveContactEntity
Some tooltip text!
• 17 minutes to read
• 17 minutes to read
POST /api/v1/Agents/Contact/SaveContactEntity
Updates the existing ContactEntity or creates a new ContactEntity if the id parameter is 0.
NsApiSlow threshold: 2000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: contactEntity
The ContactEntity that is saved
| Property Name | Type | Description |
|---|---|---|
| ContactId | Integer | Primary key |
| Name | String | Contact name |
| Department | String | Department |
| OrgNr | String | VAT number or similar |
| Number1 | String | Alphanumeric user field |
| Number2 | String | Alphanumeric user field |
| UpdatedDate | String | Date last updated in UTC. |
| CreatedDate | String | Date registered in UTC. |
| Emails | Array | The contact's email |
| Interests | Array | The contact's available and selected interests. |
| Urls | Array | The contact's internet adresses |
| Phones | Array | The contact's phone numbers |
| Faxes | Array | The contact's fax numbers |
| Description | String | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. |
| Persons | Array | The persons belonging to the contact. |
| NoMailing | Boolean | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | String | Contact kana name, used in Japanese versions only |
| Xstop | Boolean | STOP flag |
| ActiveInterests | Integer | The number of active interests. |
| GroupId | Integer | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | Integer | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | |
| TicketPriority | TicketPriority | |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | Integer | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | Integer | Integration agent (eJournal) |
| DbiLastSyncronized | String | Last external syncronization. |
| DbiKey | String | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | String | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. |
| Source | Integer | How did we get this contact? For future integration needs |
| ActiveErpLinks | Integer | The number of active erp links |
| BounceEmails | Array | Email addresses with a positive bounce counter. |
| Domains | Array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | Object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ContactEntity
| Property Name | Type | Description |
|---|---|---|
| ContactId | int32 | Primary key |
| Name | string | Contact name |
| Department | string | Department |
| OrgNr | string | VAT number or similar |
| Number1 | string | Alphanumeric user field |
| Number2 | string | Alphanumeric user field |
| UpdatedDate | date-time | Date last updated in UTC. |
| CreatedDate | date-time | Date registered in UTC. |
| Emails | array | The contact's email |
| Interests | array | The contact's available and selected interests. Use MDO List name "contint" to get list items. |
| Urls | array | The contact's internet adresses |
| Phones | array | The contact's phone numbers |
| Faxes | array | The contact's fax numbers |
| Description | string | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. Use MDO List name "associate" to get list items. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. Use MDO List name "business" to get list items. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type Use MDO List name "category" to get list items. |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. Use MDO List name "country" to get list items. |
| Persons | array | The persons belonging to the contact. |
| NoMailing | bool | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | string | Contact kana name, used in Japanese versions only |
| Xstop | bool | STOP flag |
| ActiveInterests | int32 | The number of active interests. |
| GroupId | int32 | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | int32 | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiLastSyncronized | date-time | Last external syncronization. |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the Person Agent. |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. Carrier object for Address. |
| Source | int32 | How did we get this contact? For future integration needs |
| ActiveErpLinks | int32 | The number of active erp links |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| Domains | array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Contact/SaveContactEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"ContactId": 568,
"Name": "Swift LLC",
"Department": "",
"OrgNr": "278387",
"Number1": "1433040",
"Number2": "636617",
"UpdatedDate": "2010-01-06T10:10:59.3427022+01:00",
"CreatedDate": "2012-07-07T10:10:59.3427022+02:00",
"Emails": [
{
"Value": "quo",
"StrippedValue": "minus",
"Description": "Decentralized human-resource circuit"
},
{
"Value": "quo",
"StrippedValue": "minus",
"Description": "Decentralized human-resource circuit"
}
],
"Interests": [
{
"Id": 501,
"Name": "Skiles Inc and Sons",
"ToolTip": "Et aspernatur temporibus.",
"Deleted": false,
"Rank": 187,
"Type": "illo",
"ColorBlock": 828,
"IconHint": "esse",
"Selected": false,
"LastChanged": "2004-12-06T10:10:59.3437021+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "aut",
"StyleHint": "ipsum",
"Hidden": true,
"FullName": "Amya Weissnat"
}
],
"Urls": [
{
"Value": "labore",
"StrippedValue": "necessitatibus",
"Description": "Intuitive human-resource ability"
},
{
"Value": "labore",
"StrippedValue": "necessitatibus",
"Description": "Intuitive human-resource ability"
}
],
"Phones": [
{
"Value": "nisi",
"StrippedValue": "maiores",
"Description": "Ameliorated intermediate capacity"
},
{
"Value": "nisi",
"StrippedValue": "maiores",
"Description": "Ameliorated intermediate capacity"
}
],
"Faxes": [
{
"Value": "blanditiis",
"StrippedValue": "sed",
"Description": "Phased fresh-thinking synergy"
},
{
"Value": "blanditiis",
"StrippedValue": "sed",
"Description": "Phased fresh-thinking synergy"
}
],
"Description": "Phased static implementation",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "qui",
"PersonId": 410,
"Mrmrs": "minus",
"Firstname": "Wilburn",
"Lastname": "Gottlieb",
"MiddleName": "Strosin LLC",
"Title": "ut",
"Description": "Multi-layered methodical concept",
"Email": "guadalupe.schmeler@stiedemann.us",
"FullName": "Kristina Ratke",
"DirectPhone": "1-937-428-5666 x428",
"FormalName": "Balistreri, Rippin and Schuster",
"CountryId": 19,
"ContactId": 910,
"ContactName": "Beier-Grady",
"Retired": 959,
"Rank": 737,
"ActiveInterests": 266,
"ContactDepartment": "matrix open-source methodologies",
"ContactCountryId": 660,
"ContactOrgNr": "1162383",
"FaxPhone": "322.132.2441",
"MobilePhone": "1-224-019-5182",
"ContactPhone": "(349)248-9072 x91486",
"AssociateName": "Grady, Becker and Bauch",
"AssociateId": 610,
"UsePersonAddress": true,
"ContactFax": "aut",
"Kanafname": "illum",
"Kanalname": "dolor",
"Post1": "ducimus",
"Post2": "vitae",
"Post3": "temporibus",
"EmailName": "forrest@okon.uk",
"ContactFullName": "Daphne Franecki",
"ActiveErpLinks": 970,
"TicketPriorityId": 277,
"SupportLanguageId": 522,
"SupportAssociateId": 349,
"CategoryName": "VIP Customer",
"PersonNumber": "440081"
}
],
"NoMailing": false,
"Kananame": "non",
"Xstop": true,
"ActiveInterests": 293,
"GroupId": 465,
"ActiveStatusMonitorId": 105,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 734,
"DbiAgentId": 640,
"DbiLastSyncronized": "2023-07-23T10:10:59.349178+02:00",
"DbiKey": "ad",
"DbiLastModified": "1999-05-15T10:10:59.349178+02:00",
"SupportPerson": null,
"Address": null,
"Source": 768,
"ActiveErpLinks": 685,
"BounceEmails": [
"elissa_haag@ortizbode.us",
"harmony.littel@harber.biz"
],
"Domains": [
"aspernatur",
"sit"
],
"InitialUtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "True",
"SuperOffice:2": "Marielle Steuber"
},
"ExtraFields": {
"ExtraFields1": "id",
"ExtraFields2": "vitae"
},
"CustomFields": {
"CustomFields1": "cumque",
"CustomFields2": "delectus"
}
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ContactId": 191,
"Name": "Manufacturing Solutions Ltd",
"Department": "Production",
"OrgNr": "321654987",
"Number1": "10004",
"Number2": "20004",
"UpdatedDate": "2018-12-18T10:10:59.3601799+01:00",
"CreatedDate": "1998-11-18T10:10:59.3601799+01:00",
"Emails": [
{
"Value": "contact@manufacturing-solutions.com",
"StrippedValue": "contact@manufacturing-solutions.com",
"Description": "Main contact email",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 739
}
}
},
{
"Value": "magni",
"StrippedValue": "id",
"Description": "Polarised contextually-based firmware",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 739
}
}
}
],
"Interests": [
{
"Id": 171,
"Name": "Manufacturing Trade Association",
"ToolTip": "Industry association for manufacturers",
"Deleted": false,
"Rank": 460,
"Type": "sequi",
"ColorBlock": 498,
"IconHint": "voluptas",
"Selected": false,
"LastChanged": "2008-09-07T10:10:59.3611804+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "enim",
"StyleHint": "quo",
"Hidden": true,
"FullName": "Vada Robel",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 202
}
}
}
],
"Urls": [
{
"Value": "unde",
"StrippedValue": "consequuntur",
"Description": "Cloned system-worthy time-frame",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 651
}
}
},
{
"Value": "unde",
"StrippedValue": "consequuntur",
"Description": "Cloned system-worthy time-frame",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 651
}
}
}
],
"Phones": [
{
"Value": "praesentium",
"StrippedValue": "dolore",
"Description": "Cross-platform maximized framework",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 172
}
}
},
{
"Value": "praesentium",
"StrippedValue": "dolore",
"Description": "Cross-platform maximized framework",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 172
}
}
}
],
"Faxes": [
{
"Value": "eligendi",
"StrippedValue": "veniam",
"Description": "Synchronised systematic knowledge base",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 811
}
}
},
{
"Value": "eligendi",
"StrippedValue": "veniam",
"Description": "Synchronised systematic knowledge base",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 811
}
}
}
],
"Description": "Open-architected actuating encryption",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "eum",
"PersonId": 126,
"Mrmrs": "sit",
"Firstname": "Monica",
"Lastname": "Rohan",
"MiddleName": "Denesik Group",
"Title": "nam",
"Description": "Re-engineered object-oriented collaboration",
"Email": "aurelio_nader@luettgen.us",
"FullName": "Libby Christina Wolff DDS",
"DirectPhone": "(225)725-3723 x3345",
"FormalName": "Pagac-Paucek",
"CountryId": 777,
"ContactId": 566,
"ContactName": "Weber, Pouros and Langosh",
"Retired": 358,
"Rank": 590,
"ActiveInterests": 30,
"ContactDepartment": "",
"ContactCountryId": 228,
"ContactOrgNr": "1401054",
"FaxPhone": "935.092.3757 x94254",
"MobilePhone": "532-891-1821 x3321",
"ContactPhone": "(038)555-5268",
"AssociateName": "Hane-Bernhard",
"AssociateId": 221,
"UsePersonAddress": true,
"ContactFax": "pariatur",
"Kanafname": "vero",
"Kanalname": "rerum",
"Post1": "similique",
"Post2": "rerum",
"Post3": "qui",
"EmailName": "johnpaul.koch@dickinson.com",
"ContactFullName": "Jazmyn Filiberto Cronin DVM",
"ActiveErpLinks": 859,
"TicketPriorityId": 361,
"SupportLanguageId": 486,
"SupportAssociateId": 867,
"CategoryName": "VIP Customer",
"PersonNumber": "1151046",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 822
}
}
}
],
"NoMailing": false,
"Kananame": "non",
"Xstop": true,
"ActiveInterests": 666,
"GroupId": 551,
"ActiveStatusMonitorId": 438,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 17,
"DbiAgentId": 374,
"DbiLastSyncronized": "2006-12-15T10:10:59.3661841+01:00",
"DbiKey": "numquam",
"DbiLastModified": "2023-03-30T10:10:59.3661841+02:00",
"SupportPerson": null,
"Address": null,
"Source": 780,
"ActiveErpLinks": 33,
"BounceEmails": [
"natalie@jacobs.info",
"valentina.aufderhar@kuhic.us"
],
"Domains": [
"expedita",
"ipsa"
],
"InitialUtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "245889246",
"SuperOffice:2": "False"
},
"ExtraFields": {
"ExtraFields1": "voluptates",
"ExtraFields2": "ipsam"
},
"CustomFields": {
"CustomFields1": "consequatur",
"CustomFields2": "harum"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 52
}
}
}